import request from '@/utils/request'

// 查询特种设备压力管道台账列表
export function listSpecYlgd(query) {
  return request({
    url: '/sems/specYlgd/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备压力管道台账详细
export function getSpecYlgd(id) {
  return request({
    url: '/sems/specYlgd/' + id,
    method: 'get'
  })
}

/**
 * 查询特种设备压力管道的改造记录
 */
export function getSpecYlgdByReform(devId) {
  return request({
    url: '/his/ylgd/reform/' + devId,
    method: 'get'
  })
}

// 新增特种设备压力管道台账
export function addSpecYlgd(data) {
  return request({
    url: '/sems/specYlgd',
    method: 'post',
    data: data
  })
}

// 修改特种设备压力管道台账
export function updateSpecYlgd(data) {
  return request({
    url: '/sems/specYlgd',
    method: 'put',
    data: data
  })
}

// 修改特种设备压力管道台账(申请)
export function updateSpecYlgdPre(data) {
  return request({
    url: '/his/ylgd',
    method: 'post',
    data: data
  })
}

// 删除特种设备压力管道台账
export function delSpecYlgd(id) {
  return request({
    url: '/sems/specYlgd/' + id,
    method: 'delete'
  })
}

// 导出特种设备压力管道台账
export function exportSpecYlgd(query) {
  return request({
    url: '/sems/specYlgd/export',
    method: 'get',
    params: query
  })
}


